#!/usr/bin/env ruby
$VERBOSE = true; $:.unshift File.dirname($0)

require 'Qt';

a = TQt::Application.new(ARGV)

quit = TQt::PushButton.new('Quit', nil)
quit.resize(75, 30)
quit.setFont(TQt::Font.new('Times', 18, TQt::Font::Bold))

TQt::Object.connect(quit, TQ_SIGNAL('clicked()'), a, TQ_SLOT('quit()'))

a.setMainWidget(quit)
quit.show
a.exec
exit
